## saint 2.5.0+dfsg

=== Makefile ===
#---------------------------------------------------------------------------------
# TARGET is the name of the output
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
#---------------------------------------------------------------------------------


## top directory where everything happens
TOPDIR   := $(shell pwd)
TARGET   := $(TOPDIR)/bin
BUILD    := $(TOPDIR)/build
SRC      := $(TOPDIR)/src

CC = gcc
CXX = g++
CFLAGS = -g -O3
CXXFLAGS = $(CFLAGS)

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the projects
#---------------------------------------------------------------------------------
LIBS  := -lm -lgsl -lgslcblas 


## create directory structure
makeDirs:
	@mkdir -p $(TARGET) $(BUILD)

clean:
	rm -rf $(BUILD)
	rm $(SRC)/*/*.gch

all: makeDirs \
        saint-reformat \
	saint-spc-noctrl-matrix \
	saint-spc-noctrl \
	saint-spc-ctrl \
        saint-int-ctrl \
	clean
	@echo -e "\n\n### All executables are in $(TOPDIR)/bin ###\n\n"

saint-reformat:
	$(CC) $(CFLAGS) -c $(SRC)/SAINTreformat/*.c $(SRC)/SAINTreformat/*.h
	mv *.o $(BUILD)
	$(CC) $(LIBS) $(BUILD)/*.o -o $(TARGET)/saint-reformat
	rm $(BUILD)/*.o
	@echo
	@echo

	
saint-spc-noctrl-matrix:
	$(CC) $(CFLAGS) -c $(SRC)/SAINTspc-noctrl-matrix/*.c $(SRC)/SAINTspc-noctrl-matrix/*.h
	mv *.o $(BUILD)
	$(CC) $(LIBS) $(BUILD)/*.o -o $(TARGET)/saint-spc-noctrl-matrix
	rm $(BUILD)/*.o
	@echo
	@echo

saint-spc-noctrl:
	$(CC) $(CFLAGS) -c $(SRC)/SAINTspc-noctrl/*.c $(SRC)/SAINTspc-noctrl/*.h
	mv *.o $(BUILD)
	$(CC) $(LIBS) $(BUILD)/*.o -o $(TARGET)/saint-spc-noctrl
	rm $(BUILD)/*.o
	@echo
	@echo


saint-spc-ctrl:
	$(CC) $(CFLAGS) -c $(SRC)/SAINTspc-ctrl/*.c $(SRC)/SAINTspc-ctrl/*.h
	mv *.o $(BUILD)
	$(CC) $(LIBS) $(BUILD)/*.o -o $(TARGET)/saint-spc-ctrl
	rm $(BUILD)/*.o
	@echo
	@echo


saint-int-ctrl:
	$(CC) $(CFLAGS) -c $(SRC)/SAINTint-ctrl/*.c $(SRC)/SAINTint-ctrl/*.h
	mv *.o $(BUILD)
	$(CC) $(LIBS) $(BUILD)/*.o -o $(TARGET)/saint-int-ctrl
	rm $(BUILD)/*.o
	@echo
	@echo

## saint 2.3.3

=== debian/changelog ===
saint (2.3.3-1) unstable; urgency=low

  * Initial Release  (Closes: #671224)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2012 22:18:38 +0200

=== debian/control ===
Source: saint
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), libgsl0-dev
Standards-Version: 3.9.3
Homepage: http://saint-apms.sourceforge.net/Main.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/saint/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/saint/trunk/

Package: saint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Significance Analysis of INTeractome
 SAINT implements the scoring algorithm for protein-protein interaction
 data using label free quantitative proteomics data in AP-MS experiments.
 It was used for spectral count data in the yeast kinase interactome work
 not incorporating control purification, as well as a generalized
 implementation for spectral count data with and without control
 purification.
 .
 Alternatively, you can also run SAINT in combination with ProHits.
 .
 The package was written for either doing analysis without or with
 control IPs and

=== debian/watch ===
version=3
http://sf.net/saint-apms/SAINT_v\.?([.\d]+)\.zip \
   debian debian/get-orig-source

## saint 2.3.4+dfsg

=== debian/changelog ===
saint (2.3.4+dfsg-2) unstable; urgency=low

  * add patch ld-as-needed.patch from Julian Taylor (Closes: #710364)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Jun 2013 22:00:00 +0200

saint (2.3.4+dfsg-1) unstable; urgency=low

  * new upstream version
  * debian/control: bump standard to 3.9.4 (no changes needed)

  [Andreas Tille]
  * debian/copyright:
     - Add Files-Excluded to document what was removed from original source

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 May 2013 21:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+ Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>= 9), libgsl0-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://saint-apms.sourceforge.net/Main.html
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/saint/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/saint/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Tweak hardening flags into the Makefile
	make all CFLAGS='$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)'

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin

get-orig-source:
	# repack in debian/get-orig-source to avoid trouble with dirty archive
	uscan --verbose --force-download

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*// \
   http://sf.net/saint-apms/SAINT_v\.?([.\d]+)\.zip \
   debian debian/get-orig-source

## saint 2.4.0+dfsg

=== debian/changelog ===
saint (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * adapted get-orig-source target to new uscan syntax
  * d/watch: uversionmangle
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 22 Aug 2014 15:24:19 +0200

=== debian/control ===
Source: saint
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libgsl0-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/saint/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/saint/trunk/
Homepage: http://saint-apms.sourceforge.net/Main.html

Package: saint
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Significance Analysis of INTeractome
 SAINT implements the scoring algorithm for protein-protein interaction
 data using label free quantitative proteomics data in AP-MS experiments.
 It was used for spectral count data in the yeast kinase interactome work
 not incorporating control purification, as well as a generalized
 implementation for spectral count data with and without control
 purification.
 .
 Alternatively, you can also run SAINT in combination with ProHits.
 .
 The package was written for either doing analysis without or with
 control IPs and

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
   http://sf.net/saint-apms/SAINT_v\.?([.\d]+)\.zip

## saint 2.5.0%2Bdfsg

=== debian/changelog ===
saint (2.5.0+dfsg-4build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:42:24 +0000

saint (2.5.0+dfsg-4) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * d/u/metadata: yamllint
  * Update metadata with ref to conda

  [ Nilesh Patra ]
  * Fix gcc-10 FTBFS (Closes: #957772)
  * Drop compate, debhelper-compat 13
  * standards version: 4.5.0
  * Add "Rules-Requires-Root:no"
  * Use secure URI

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 28 Jul 2020 20:55:59 +0530

saint (2.5.0+dfsg-3) unstable; urgency=medium

  * Remove unneeded get-orig-source target
  * hardening=+all
  * debhelper 11 (but --no-parallel needed)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 09:13:51 +0200

saint (2.5.0+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807225

  [ Andreas Tille ]
  * Move from SVN to Git

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2015 15:38:07 +0100

saint (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2015 00:11:21 +0100

## saint 2.5.0+dfsg

=== debian/changelog ===
saint (2.5.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/copyright: drop the old FSF mail address.
  * d/control: drop redundant Rules-Requires-Root: no.
  * ld-as-needed.patch: normalize dep3 header.
  * d/watch: convert from v3 to v5 sf.net redirector.
  * stabilize-makefile.patch: new: more robustness. (Closes: #1105603)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 18 Dec 2025 20:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Thorsten Alteholz <debian@alteholz.de>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               libgsl0-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/saint/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/saint/trunk/
+Build-Depends: debhelper-compat (= 13),
+               libgsl-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/med-team/saint
+Vcs-Git: https://salsa.debian.org/med-team/saint.git
 Homepage: http://saint-apms.sourceforge.net/Main.html
 
 Package: saint

=== debian/watch ===
Version: 5

Source: https://sf.net/saint-apms/
Matching-Pattern: SAINT_v@ANY_VERSION@@ARCHIVE_EXT@
Repack-Suffix: +dfsg
DVersion-Mangle: auto
